clear
use long
set more off
keep if edyrs~=.
keep if lnwage~=.

capture drop _merge
capture drop occ
rename occj occ
sort occ
merge occ using occf_nlsy80
tab _merge
drop if _merge==2
gen occfrnd=frnd/n

/*
capture drop _merge
merge occ using prestige
sum prestige
*/

sum cj same* occ2d race sex edyrs funemp fed fwel fsex m_* wt occfrnd

save temp, replace
replace funemp=. if m_fu==1
replace fed=. if m_fed==1
replace fwel=. if m_fwel==1
replace cp=. if cp_miss==1
replace samej=. if sj_miss==1
replace samejr=. if sjr_miss==1
replace fsex=. if m_fsex==1

sum cj lnwage cp cp_miss same* sj* occ2d race sex edyrs funemp fed fwel /*
*/ fsex m_* occfrnd [aw=wt] if job==0 
tab race [aw=wt] if job==0
tab sex [aw=wt]  if job==0

save ufls_an, replace

tab occ2d cj
tab occ2d cj, row nofreq

clear
use temp

gen samet=samej+samejr

xi: logit cj cp cp_miss  occfrnd i.occ2d [aw=wt]                                                      
xi: logit cj samej samejr sj* i.race i.sex edyrs /* 
*/ funemp fed fwel fsex m_*  occfrnd i.occ2d [aw=wt]
xi: logit cj cp cp_miss samej samejr sj* i.race /* 
*/ i.sex edyrs funemp fed fwel fsex m_*  occfrnd i.occ2d [aw=wt] 

xi: logit cj cp cp_miss samet i.race i.sex edyrs funemp /*
*/ fed fwel fsex m_*  occfrnd i.occ2d [aw=wt]

keep if job==0
keep if edyrs~=.
keep if lnwage~=.

xi i.race i.sex 

sum cj cp cp_miss samej samejr sj* _I* /*
*/ edyrs funemp fed fwel fsex m_*  occfrnd [aw=wt]

sum funemp if m_fu~=1 [aw=wt]
sum fed if m_fed~=1 [aw=wt]
sum fwel if m_fwel~=1 [aw=wt]
sum fsex if m_fsex~=1 [aw=wt]
sum cp if cp_miss~=1 [aw=wt]
sum samej if sj_miss~=1 [aw=wt]
sum samejr if sjr_miss~=1 [aw=wt]
capture drop m_fsex


xi: logit cj cp cp_miss samej samejr sj* i.race /*
*/ i.sex edyrs funemp fed fwel m_*  occfrnd [aw=wt]

outreg using ufls1, se replace
xi: logit cj cp cp_miss  occfrnd [aw=wt]                                                      
outreg using ufls1, se append
xi: logit cj samej samejr sj* i.race i.sex edyrs /* 
*/ funemp fed fwel m_*  occfrnd [aw=wt]
outreg using ufls1, se append

* by race
xi: logit cj cp cp_miss samej samejr sj* i.race i.sex edyrs /*
*/ funemp fed fwel m_*  occfrnd [aw=wt] if race==1
outreg using revb3, se replace
xi: logit cj  cp cp_miss samej samejr sj* i.race i.sex edyrs /*
*/ funemp fed fwel m_*  occfrnd [aw=wt] if race==2
outreg using revb3, se append
xi: logit cj  cp cp_miss samej samejr sj* i.race i.sex edyrs /*
*/ funemp fed fwel m_*  occfrnd [aw=wt] if race==3
outreg using revb3, se append
xi: logit cj  cp cp_miss samej samejr sj* i.race i.sex edyrs /*
*/ funemp fed fwel m_*  occfrnd [aw=wt] if race==4
outreg using revb3, se append



* xi: logit cj cp cp_miss samej samejr sj* i.race i.sex edyrs /*
*/ funemp fed fwel fsex m_*  occfrnd [aw=wt]


xi: reg lnwage i.race i.sex edyrs samej samejr sj* funemp /*
*/ fed fwel cp cp_miss  m_*  occfrnd [aw=wt]
outreg using ufls2, se replace


xi: reg lnwage cj i.race i.sex edyrs [aw=wt]
outreg using ufls2, se append
xi: reg lnwage i.race i.sex edyrs cp cp_mis occfrnd /*
*/ [aw=wt] 
outreg using ufls2, se append
xi: reg lnwage i.race i.sex edyrs samej samejr sj* funemp /*
*/ fed fwel m_* [aw=wt]
outreg using ufls2, se append

 
xi: reg prestige i.race i.sex edyrs samej samejr sj* funemp /*
*/ fed fwel cp cp_miss  m_*  occfrnd [aw=wt]
outreg using p_ufls2, se replace 
xi: reg prestige cj i.race i.sex edyrs [aw=wt]
outreg using p_ufls2, se append
xi: reg prestige i.race i.sex edyrs cp cp_mis occfrnd /*
*/ [aw=wt]
outreg using p_ufls2, se append
xi: reg prestige i.race i.sex edyrs samej samejr sj* funemp /*
*/ fed fwel m_* [aw=wt]
outreg using p_ufls2, se append



* by race
xi: reg lnwage i.race i.sex edyrs samej samejr sj* funemp /*   
*/ fed fwel m_* occfrnd [aw=wt] if race==1
xi: reg lnwage i.race i.sex edyrs samej samejr sj* funemp /*
*/ fed fwel m_* occfrnd [aw=wt] if race==2
xi: reg lnwage i.race i.sex edyrs samej samejr sj* funemp /*
*/ fed fwel m_* occfrnd [aw=wt] if race==3
xi: reg lnwage i.race i.sex edyrs samej samejr sj* funemp /*
*/ fed fwel m_* occfrnd [aw=wt] if race==4


* interaction models, to test exogenous sc model



xi: reg lnwage i.cj*samej i.race i.sex edyrs samej samejr sj* funemp /*
*/ fed fwel m_* occfrnd [aw=wt]

xi: reg lnwage i.cj*samejr i.race i.sex edyrs samej samejr sj* funemp /*
*/ fed fwel m_* occfrnd [aw=wt]


xi: reg lnwage i.cj*funemp i.race i.sex edyrs samej samejr sj* funemp /*
*/ fed fwel m_* occfrnd [aw=wt]


xi: reg lnwage i.cj*fed i.race i.sex edyrs samej samejr sj* funemp /*
*/ fed fwel m_* occfrnd [aw=wt]

xi: reg lnwage i.cj*fwel i.race i.sex edyrs samej samejr sj* funemp /*
*/ fed fwel m_* occfrnd [aw=wt]


xi: reg lnwage i.cj*samej i.cj*samejr i.cj*fed i.cj*funemp i.cj*fwel i.race i.sex edyrs samej /*
*/ samejr sj* funemp fed fwel m_* occfrnd [aw=wt]
outreg using ufls3, se replace


xi: reg prestige i.cj*samej i.cj*samejr i.cj*fed i.cj*funemp i.cj*fwel i.race i.sex edyrs samej /*
*/ samejr sj* funemp fed fwel m_* occfrnd [aw=wt]
outreg using p_ufls3, se replace

/*
xi: reg lnwage cj i.race i.sex edyrs samej samejr sj* funemp /*
*/ fed fwel fsex  cp cp_miss  m_* [aw=wt]
xi: reg lnwage i.race i.sex edyrs samej samejr sj* funemp /*
*/ fed fwel fsex  cp cp_miss  m_*  occfrnd [aw=wt]


xi: reg lnwage i.race i.sex edyrs samej samejr sj* funemp /*
*/ fed fwel fsex  cp cp_miss  m_*  occfrnd i.occ2d [aw=wt]

xi: reg lnwage cj i.race i.sex edyrs samej samejr sj* funemp /*
*/ fed fwel fsex  cp cp_miss  m_*  occfrnd [aw=wt]


xi: reg lnwage cj i.race i.sex edyrs i.occ2d [aw=wt]
xi: reg lnwage cj i.race i.sex edyrs samej samejr sj* funemp /*
*/ fed fwel fsex m_*  occfrnd i.occ2d [aw=wt]


