clear
set more off
capture log close
log using hyp2, replace
use work4 


gen year=94
replace year=96 if  job>950
replace year=98 if job>970


tab job prev

capture renpfix lget get
capture drop _merge
sort caseid job

append using job98

rename jwhlf zwhlf

rename jpdu zpdu
rename jpd zpd
rename jrea zrea

rename job zjob
drop j*
rename zjob job
capture drop _merge
sort caseid job
merge caseid job using work2c
* this adds data on why the respondent left their previous job
* need it to get those who left because of layoffs or plant closings
tab job _merge   

drop if _merge==2
replace joccup=. if joccup<1
replace occup=. if occup<1
gen tempa=occup==joccup
tab tempa


tab jwhlf

tab jwhlf prev



drop if prev>0 & job>950 & job<970
* note: job98 has kept only new 1998 jobs
* keeps only "new" 1996 jobs
* drop_fe for the fixed effect wage model

tab jwhlf

tab jwhlf, sum(jpdu) 
* note: if jpdu==., then there was no intervening unemployment 
* if jpdu=0, then there was a gap, but no unemployment? check.


replace jpdu=0 if jpdu==. & jfst==0 & prev==-4 
replace jpd=0 if jpdu==. & jfst==0 & prev==-4
* if jfst==0 then the respondent was working another job when he found this job

capture drop z
gen z=jpdu==. & prev==-4
tab z
tab z jnew
* if jnew=0 and prev=-4, this means the job started at the interview data
* with the method in work2.ado it is impossible to distinguish coding error on prev from 
* jobs that began at interview date.  --> code to missing
* the rest of z==1 appear to mainly be cases where the data is missing the b variables--i.e.,
* employment gap data.  --> code to missing
* can tell by looking at work2a, e.g., for case 7810 job 962.

tab year prev


save temp, replace

set matsize 700
gen pmt=occup<=195

replace like=. if like<1

* keep if hrswk>30
* remove part time work 
recode hrwge -4=.
drop if hrwge==.
recode occup -4=.

sort caseid job
* quietly by caseid: gen n=_n
quietly by caseid: gen same=occ==occ[_n-1] if occ~=-4
tab same

* replace tenur=ln(tenur)
gen tenur2=tenur^2

replace lok=1 if getj>0 & lok==0 & getj~=.
char getj[omit] 4
gen frnd=getj==4



gen exp=exp94
replace exp=exp96 if job>950
gen exps=exp94s
replace exps=exp96s if job>950


* replace jpdu=ln(jpdu) if jpdu~=0
* replace jpd=ln(jpd) if jpd~=0
gen jpdu2=jpdu^2
gen unemp=jpdu>0 & jpdu~=.
* recode jpdu .=0
* recode jpdu2 .=0
* recode jpd .=0

gen blk=race==2
recode blk 1=0 0=1

replace hrwge=hrwge/100
save temp2, replace

drop if hrwge<1 | hrwge>150
drop if hrwge<2
* replace hrwge=40 if hrwge>40
* replace hrwge=100 if hrwge>100
* drop if hrwge>100
* replace hrwge=2 if hrwge<2
* drop if hrwge<2.5

gen nrej=rej~=.
gen lnrej=ln(rej)
recode lnrej .=0
replace hrwge=ln(hrwge)

gen a=whylf==2 
capture tab b
capture drop b
egen b=max(a), by(caseid)


gen wl=lok==1 & wrk==0

replace wl=2 if lok==1 & wrk==1
replace wl=3 if lok==0 & wrk==1
replace wl=4 if lok==0 & wrk==0
recode wl 0=.
lab var wl "work-look"
lab define wl 1 "unemp look" 2 "emp look" 3 "emp not look" 4 "unemp not look"
lab val wl wl
char wl[omit] 1

cor lok wrk unemp jpdu jpd
tab nrej lok, sum(hrwge)

egen njobs=count(job), by(caseid)
sort caseid job
quietly by caseid: gen n=_n
tab njobs if n==1
drop n

egen nfnd=sum(frnd), by(caseid)
gen pct_fnd=nfnd/njobs

gen tf=nfnd-frnd
gen pf=tf/(njobs-1)
lab var pf "proportion friends other jobs"

save ch1all, replace

