clear
use ch1long

sort occ
capture drop _merge
merge occ using prestige70
tab _merge
drop if _merge==2
sum prestige

 
sum hrwge frnd edyrs94 sex tenur tenur2 year exp hrwge wl 
egen rz=rmiss(hrwge frnd tenur tenur2 year exp exps /* 
*/ tenur edyrs94 tenur2 year hrwge wl)
* note: tabulation indicates that those cases missing edyrs94 are also mising edyrs96
* therefore, I delete them

tab rz
* keep if rz==0
egen rz2=count(hrwge), by(caseid)
tab rz2
* keep if rz2==2

replace exp=exp/52
replace tenur=tenur/52
replace exps=(exp)^2
replace tenur2=(tenur)^2

sum tenur tenur2 exp exps
sum hrwge frnd edyrs94 sex tenur tenur2 year exp 
sum  hrwge race sex edyrs94 frnd wrk lok tenur /*
*/ exp  
tab race  
* tab nrej, sum(hrwge)
* tab nrej lok, sum(hrwge)

tab wl
char wl[omit] 2
char race[omit] 3



sum hrwge race sex edyrs94 frnd pf occfrnd wl tenur tenur2 /*
*/ exp exps if job==941 & rz==0


iis caseid

xi: reg hrwge i.race i.sex edyrs94 i.frnd pf occfrnd i.wl tenur tenur2 /*
*/ exp exps i.year [aw=wgt94] if job==941 & rz==0
outreg using frnd94, se replace

xi: logit frnd i.race i.sex edyrs94 pf occfrnd i.wl tenur tenur2 /*
*/ exp exps i.year [aw=wgt94] if job==941 & rz==0
outreg using frnd94, se append


* note wl=3 & wl=4 cases do not have contact (by questionaire design), 
* hence the lower N in the logit model


  
xi: reg hrwge i.race i.sex edyrs94 i.frnd i.wl tenur tenur2 /*
*/ exp exps i.year [aw=wgt94] if job==941  & rz==0 
outreg using feffects, se replace

xi: reg prestige i.race i.sex edyrs94 i.frnd i.wl tenur tenur2 /*
*/ exp exps i.year [aw=wgt94] if job==941  & rz==0
outreg using p_feffects, se replace



sum hrwge if job==941
sum hrwge if job==941 & rz==0


gen jobz=job
replace jobz=. if rz~=0

egen n5=count(jobz), by(caseid)
tab n5

keep if n5>1

keep if rz==0
* could have deleted these cases earlier, but wanted to see how many cases
* were lost due to listwise deletion of mising variables.

xi: reg hrwge i.race i.sex edyrs94 i.frnd i.wl tenur tenur2 /*
*/ exp exps i.year [aw=wgt94] if job==941
outreg using feffects, se append

xi i.race i.sex i.frnd i.wl i.year
sum hrwge _I* edyrs94 tenur tenur2 exp exps [aw=wgt94]

xi: xtreg hrwge frnd i.year, fe 
outreg using feffects, se append


xi: xtreg hrwge i.frnd i.wl tenur tenur2 /*
*/ exp exps i.year, fe  
outreg using feffects, se append


xi: xtreg hrwge i.frnd i.wl tenur tenur2 /*
*/ exp exps i.year, fe
outreg using revb, se replace

xi: xtreg hrwge i.frnd tenur tenur2 /*
*/ exp exps i.year, fe
outreg using revb, se append

xi: xtreg hrwge i.frnd tenur tenur2 /*
*/ exp exps , fe
outreg using revb, se append




* prestige
xi: reg prestige i.race i.sex edyrs94 i.frnd i.wl tenur tenur2 /*
*/ exp exps i.year [aw=wgt94] if job==941
outreg using p_feffects, se append
xi: xtreg prestige frnd i.year, fe
outreg using p_feffects, se append
xi: xtreg prestige i.frnd i.wl tenur tenur2 /*
*/ exp exps i.year, fe
outreg using p_feffects, se append

sum prestige




xi: xtreg hrwge i.race i.sex edyrs94 i.frnd*i.wrk  i.wl tenur tenur2 /*
*/ exp exps i.year, fe

keep if jpdu>0
gen lnpdu=ln(jpdu)

xi: xtreg lnpdu i.race i.sex edyrs94 i.frnd i.wl tenur tenur2 /*
*/ exp exps i.year, fe

