

use hist82
drop _merge
sort caseid
merge caseid using like
tab _merge
drop _merge
sort caseid
merge caseid using ch1ten

sum c_*

keep if enrol82~=1

sum hrwge82 hrwge85 hrwge90 

keep if hrwge82~=. & hrwge85~=. & hrwge90~=.

sum hrwge82 hrwge85 hrwge90

sum c_*

tab c_imp
recode c_imp .=0

replace tenur821=tenur821/52

gen exp82s=exp82^2
gen exp85s=exp85^2
gen exp90s=exp90^2


sum hrwge82 hrwge85 hrwge90 contact sex race edyrs82 exp82 exp82s /* 
*/ tenur821 union821 union851 union901 workofr lok /* 
*/ exp85 exp90 tenur851 tenur901 exp82s /*
*/ exp85s exp90s

egen r=rmiss(hrwge82 hrwge85 hrwge90 contact sex race edyrs82 exp82 exp82s /* 
*/ tenur821 union821 union851 union901 workofr lok exp85 exp90 tenur851 tenur901 /* 
*/ exp82s exp85s exp90s)

capture drop _merge
gen occ=occup821
sort occ
merge occ using prestige70
gen prestige82=prestige
drop occ prestige _merge
gen occ=occup851
sort occ
merge occ using prestige70  
gen prestige85=prestige
drop occ prestige _merge
gen occ=occup901
sort occ
merge occ using prestige70  
gen prestige90=prestige
drop occ prestige _merge

tab r
keep if r==0

tab r0712900
tab contact
tab c_imp
sum c_*
recode c_rel .=0 0=1 1=2

tab c_rel

tab race
sum hrwge82 hrwge85 hrwge90 contact sex race edyrs82 exp82 exp82s /*
*/ tenur821 union821 union851 union901 workofr lok /*
*/ exp85 exp90 tenur851 tenur901 exp82s /*
*/ exp85s exp90s    

sum ten
replace ten=. if ten<0
tab contact, sum(ten)
save ch1st, replace

xi: reg ten i.contact i.sex i.race i.workofr i.lok /*
*/ edyrs82 exp82 exp82s i.union821   [w=weight82]
  

* xi: weibull ten i.contact i.sex i.race i.workofr i.lok /*
*/ edyrs82 exp82 exp82s i.union821   [w=weight82]  

* xi: cox ten i.contact i.sex i.race i.workofr i.lok /*
*/ edyrs82 exp82 exp82s i.union821  [w=weight82]


xi: regress hrwge82 i.contact i.sex i.race  /* 
*/ edyrs82 exp82 exp82s tenur821 i.union821 i.workofr i.lok [w=weight82] 

xi: regress hrwge82 i.contact i.sex i.race  /*
*/ edyrs82 exp82 exp82s tenur821 i.union821 i.workofr i.lok [w=weight82] /*
*/ if race==2

xi: regress hrwge85 i.contact i.sex i.race  /*
*/ edyrs82 exp85 exp85s tenur851 i.union851 i.workofr i.lok [w=weight85] 

xi: regress hrwge85 i.c_rel i.sex i.race  /*
*/ edyrs82 exp85 exp85s tenur851 i.union851 i.workofr i.lok [w=weight85] 

xi: regress hrwge90 i.contact i.sex i.race i.workofr i.lok /*
*/ edyrs82 exp90 exp90s tenur901 i.union901 i.workofr i.lok  [w=weight90] 

xi: regress hrwge90 i.c_rel i.sex i.race i.workofr i.lok /*
*/ edyrs82 exp90 exp90s tenur901 i.union901 i.workofr i.lok  [w=weight90] 

xi: regress hrwge82 i.c_imp i.sex i.race i.workofr i.lok /*
*/ edyrs82 exp82 exp82s tenur821 i.union821 i.workofr i.lok  [w=weight82] 

xi: regress hrwge82 i.contact*i.union821 i.sex i.race i.workofr i.lok /*
*/ edyrs82 exp82 exp82s tenur821 i.union821 i.workofr i.lok  [w=weight82] 

xi: regress hrwge82 i.contact*tenur821 i.sex i.race i.workofr i.lok /*
*/ edyrs82 exp82 exp82s tenur821 i.union821 i.workofr i.lok  [w=weight82] 

xi: regress hrwge82 i.c_rel i.sex i.race i.workofr i.lok /*
*/ edyrs82 exp82 exp82s tenur821 i.union821 i.workofr i.lok  [w=weight82]      

xi: oprobit like82 i.contact i.sex i.race i.workofr i.lok /*
*/ edyrs82 exp82 exp82s tenur821 i.union821 i.workofr i.lok  [w=weight82]     



* prestige

xi: regress prestige82 i.contact i.sex i.race  /*
*/ edyrs82 exp82 exp82s tenur821 i.union821 i.workofr i.lok [w=weight82]
outreg using hist_p, replace


xi: regress prestige85 i.contact i.sex i.race  /*
*/ edyrs82 exp85 exp85s tenur851 i.union851 i.workofr i.lok [w=weight85] 
outreg using hist_p, append

xi: regress prestige90 i.contact i.sex i.race i.workofr i.lok /*
*/ edyrs82 exp90 exp90s tenur901 i.union901 i.workofr i.lok  [w=weight90]
outreg using hist_p, append

xi: regress prestige82 i.c_rel i.sex i.race i.workofr i.lok /*
*/ edyrs82 exp82 exp82s tenur821 i.union821 i.workofr i.lok  [w=weight82]
outreg using hist_p, append

xi: regress prestige82 i.c_imp i.sex i.race i.workofr i.lok /*
*/ edyrs82 exp82 exp82s tenur821 i.union821 i.workofr i.lok  [w=weight82]
outreg using hist_p, append 

xi: regress prestige82 i.contact*i.union821 i.sex i.race i.workofr i.lok /*
*/ edyrs82 exp82 exp82s tenur821 i.union821 i.workofr i.lok  [w=weight82]
outreg using hist_p, append 
