capture log close
log using das, replace
clear
set seed 23
set obs 300

gen r=80*uniform()
gen c=80*uniform()
gen s=_n<61
replace c=r if s==1
lab var r "respondent's occ prestige"
lab var c "contact's occ prestige
* graph r c, saving(das1, replace) xlab(1,20,40,60,80) /*
*/  ylab(1,20,40,60,80)

save monte, replace
clear


use das70

gen s=v214==v193

gen s2=v333==v312
*s2 is prev. job is same occ as new job
gen s3=s==1 & s2==1
*s3 is same occupation job w/ contact in same job
tab s s2

tab s3
gen s4=s==0 & s2==1
gen s5=s==1 & s2==0
tab s4
tab s5



tab v320
keep if v320==0

tab v14
* keep if v14==1 | v14==2
keep if v14==1 


* for v312 v314 v313 v333: replace @=@/10
for var v312 v314 v313 v333: replace X=X/10
sum v333
gen m=v333==.
recode v333 .=37
* previous job's prestige

sum v313
* fathers prestige

gen strong=v15>1 & v15<9
recode strong 0=1 if v19>0 & v19<9
recode strong 1=0 if v14==2
tab strong
* strong tie--see marsden and hurlbert

recode v22 5=0 9=0 
* contact connected to firm?

recode v163 1=2 2=6.5 3=10 4=12 5=14 6=16 7=18
* education

keep if v312~=.
sum v312 v313 v163 v333 strong v314 v22 
gen m_313=v313==.
gen m_314=v314==.
gen m_163=v163==.
gen m_22=v22==.
recode v313 .=36.8
recode v314 .=43.8
recode v163 .=11.7
recode v22 .=.73

lab var v312 "respondent's occ prestige"
lab var v314 "contact's occ prestige"

 


* graph v312 v314, saving(das2, replace) xlab(1,20,40,60,80) /*
*/  ylab(1,20,40,60,80)


keep if m_314==0
keep if m_313==0

sum v312 v313 v163 v333 strong v314 v222 s m_*


xi:regress v312 v314 if s==0
xi:regress v312 v313 v163 v333 strong v314 v22 

xi:regress v312 v313 v163 v333 strong v314 v22 if s==0
xi:regress v312 v313 v163  strong v314 v22 if s==0


xi:regress v312 v313 v163 v333 strong v314 v22 
outreg using das, se replace
xi:regress v312 v313 v163 v333 strong v314 v22 if s==0
outreg using das, se append
xi:regress v312 v314
outreg using das, se append

xi:regress v312 v313 v163 v333 strong v314 v22 if s3==0
xi:regress v312 v313 v163 strong v314 v22 if s3==0
xi:regress v312 v313 v163 v333 strong v314 v22 if s4==0
xi:regress v312 v313 v163 v333 strong v314 v22 if s5==0
xi:regress v312 v313 v163 v333 strong v314 v22 if s5==1


cor v312 v314 
cor v312 v314 if s==0

* reviewer's comments revision April 2003

* variables 318-460 refer to previous job
* v332 is the occupation of the previous job ("current job" next to 
* this variable in the codebook refers to "current state" of questions refering
* to past states

* make a new variable indicating whether the contact's occupational prestige
* is higher, lower, or the same as the occ prestige of the respondent's previous job.
* This will be used to test whether it is beneficial to have contacts with higher or lower
* pretige than your occupational prestige.
* note: v314 is occ prestige of contact

gen dif=v333-v314
lab var dif "difference in occ prest prev job - contact's prestige"
gen sm=dif
recode sm -100/0=1 0/100=2
replace sm=0 if dif==0
lab def sm 0 "same prestige" 1 "contact higher prestige" 2 "respondent higher prestige"
lab val sm sm
lab var sm "respondnet-contact prestige difference"
tab sm, sum(dif)

* make a table of prestige of the respondent's new job, by sm
tab sm, sum(v312) nost nofreq
xi:regress v312 i.sm
outreg using das2, se replace    
outreg using das, se append
xi:regress v312 v333 i.sm
outreg using das2, se append
outreg using das, se append 
xi:regress v312 v313 v163 v333 strong i.sm v22     
outreg using das2, se append

