* unemployment duration
clear
set more off

use ch1all

keep if prev==-4

keep if jnewj==1

* gen z=jpdu==. & prev==-4


gen zb=jpdu>0 & jpdu~=.

tab zb

drop if jpdu==. | jpdu<0

tab unemp

tab jwhlf

gen ext=jwhlf==1 | jwhlf==2

tab frnd if unemp==1 & ext==1, sum(jpdu)

sum jpdu frnd occfrnd pct_fnd sex race edyrs94 wgt94
gen m_occf=occfrnd==.
sum occfrnd 

replace occfrnd=r(mean) if m_occf==1

keep if jpdu>0


tab jwhlf

sum wgt94
gen w=r(mean)
replace wgt94=wgt94/w


xi: weibull jpdu i.sex i.race edyrs94 [iw=wgt94]
xi: weibull jpdu frnd i.sex i.race edyrs94 [iw=wgt94]
xi: weibull jpdu frnd occfrnd m_occf i.sex i.race edyrs94 [iw=wgt94]
outreg using ud, se replace
predict ugh1a if e(sample)

save tempugh, replace

xi: weibull jpdu frnd occfrnd m_occf i.sex i.race edyrs94

keep if ext==1
egen zz=rmiss(jpdu frnd occfrnd m_occf sex race edyrs94)
tab zz
drop if zz~=0

tab jwhlf

xi: weibull jpdu i.sex i.race edyrs94 [iw=wgt94]
xi: weibull jpdu frnd i.sex i.race edyrs94 [iw=wgt94]
xi i.sex i.race
sum jpdu frnd occfrnd m_occf _I* edyrs94 [w=wgt94] 
xi: weibull jpdu frnd occfrnd m_occf i.sex i.race edyrs94 [iw=wgt94]
outreg using ud, se append

* note that these models have more cases than the models in the paper (Model 2 in Table 3
* has 733 cases versus 744 here.  This is because the original analysis deleted cases where there was a 
* discrepancy in the occupation codes between the workhistory CD and the regular NLSY data.  I have added these 
* cases back in in this analysis.  Comparison of the results shows that it doesn't make any difference.

* comments to reviewer b
xi: weibull jpdu frnd occfrnd m_occf i.sex i.race edyrs94 exp exps [iw=wgt94]
outreg using revb2, se replace
xi: weibull jpdu frnd occfrnd m_occf i.sex i.race edyrs94 exp exps [iw=wgt94] if m_occf==0
outreg using revb2, se append
xi: weibull jpdu frnd occfrnd m_occf i.sex i.race edyrs94 [iw=wgt94] if m_occf==0
outreg using revb2, se append

xi: weibull jpdu frnd occfrnd m_occf i.sex i.race edyrs94 exp exps [iw=wgt94] if jwhlf==2
outreg using revb2, se append

xi: weibull jpdu frnd occfrnd m_occf i.sex i.race edyrs94 exp exps i.jwhlf [iw=wgt94]
outreg using revb2, se append

xi: cox jpdu frnd occfrnd m_occf i.sex i.race edyrs94 [iw=wgt94]

* w/o weights
xi: weibull jpdu frnd occfrnd m_occf i.sex i.race edyrs94 
xi: cox jpdu frnd occfrnd m_occf i.sex i.race edyrs94 

save temp, replace
