clear
set more off

use ufls

egen tot=mean(r0814)
gen wt=r0814/tot

rename r2623 edyrs
recode edyrs 98=12
tab edyrs

rename r3845 cjc


rename r4112 cj1
rename r4120 cj2
rename r4128 cj3
rename r4136 cj4
rename r4316 cj1st

for var cj*: tab X if X>-1

rename r4017 occj1
rename r4030 occj2
rename r4043 occj3
rename r4056 occj4
rename r4307 occj1st

rename r3828 occjc

rename r5423 f1sex
rename r5424 f1eth
rename r5425 f1ed
rename r5428 f2sex
rename r5429 f2eth
rename r5430 f2ed
rename r5433 f3sex
rename r5434 f3eth
rename r5435 f3ed

rename r5436 f1work
rename r5437 f1occ
rename r5439 f1wel
rename r5440 f1par
rename r5441 f1pw

rename r5507 f2work
rename r5508 f2occ
rename r5510 f2wel
rename r5511 f2par
rename r5512 f2pw

rename r5514 f3work
rename r5515 f3occ
rename r5517 f3wel
rename r5518 f3par
rename r5519 f3pw



gen occ2dig=occjc
gen occ2dj1=occj1
gen occ2dj2=occj2
gen occ2dj3=occj3
gen occ2dj4=occj4
gen occ2dj1st=occj1st

#delimit ;
for var occ2d* : recode X 3/37=2 43/199=1 203/235=7 243/259=4 263/285=9
303/389=8 403/407=16   
413/427=15 433/444=34 445/447=7 448/455=34 489/455=34 456/469=16 473/499=19 477/484=20
503/549=11 553/599=10 613/699=12 703/799=13 803/863=14 863/864=17
865/899=18 900/1000=. -100/-1=.;
#delimit cr ;



tab occ2dig
for var occ2d* f1occ f2occ f3occ: recode X 29=10 31=13 32=14 33=9 18=17 42=17 34=16 

gen s1=occ2dig==f1occ
gen s2=occ2dig==f2occ
gen s3=occ2dig==f3occ

gen same=s1+s2+s3

gen s1j1=occ2dj1==f1occ
gen s2j1=occ2dj1==f2occ
gen s3j1=occ2dj1==f3occ

gen samej1=s1j1+s2j1+s3j1

gen s1j2=occ2dj2==f1occ
gen s2j2=occ2dj2==f2occ
gen s3j2=occ2dj2==f3occ

gen samej2=s1j2+s2j2+s3j2


gen s1j3=occ2dj3==f1occ
gen s2j3=occ2dj3==f2occ
gen s3j3=occ2dj3==f3occ

gen samej3=s1j3+s2j3+s3j3

gen s1j4=occ2dj4==f1occ
gen s2j4=occ2dj4==f2occ
gen s3j4=occ2dj4==f3occ

gen samej4=s1j4+s2j4+s3j4

gen s1j1st=occ2dj1st==f1occ
gen s2j1st=occ2dj1st==f2occ
gen s3j1st=occ2dj1st==f3occ

gen samej1st=s1j1st+s2j1st+s3j1st
   
tab cjc
tab cj1
tab cj2
tab cj3
tab cj4
tab cj1st

for var cjc cj1 cj2 cj3 cj4 cj1st: recode X -100/-1=. 7=. 8=.


xi: logit cjc same i.occ2dig i.race i.sex edyrs [iw=wt]



rename occj1st occj5
rename cj1st cj5
rename samej1st samej5
rename same samej0
rename occjc occj0
rename cjc cj0
rename occ2dig occ2dj0
rename occ2dj1st occ2dj5

do wages


save all, replace
rj
do network
clear

*/
use all
capture drop _merge
sort caseid
merge caseid using jr

keep wt wage cj* same* occ* race sex caseid edyrs r1961 r1962 r1963
reshape long occj occ2dj cj samej samejr, i(caseid) j(job)

* xi: logit cjc samej i.occ2dig if occ2dig==8 | occ2dig==13 | occ2dig==14

replace occ2dj=. if occ2dj>100

sum wage if job==0
tab cj if job==0
drop if cj==.
* drops 8 job=0 cases


sort caseid
merge caseid using snet

gen m_fed=fed==.
sum fed if job==0 [aw=wt]
* replace fed=r(mean) if m_fed==1
replace fed=0 if m_fed==1
gen m_fwel=fwel==.
sum fwel if job==0 [aw=wt]
* replace fwel=r(mean) if m_fwel==1
replace fwel=0 if m_fwel==1
gen m_fu=funemp==.
sum funemp if job==0 [aw=wt]
* replace funemp=r(mean) if m_fu==1
replace funemp=0 if m_fu==1
gen m_fsex=fsex==.
sum fsex if job==0 [aw=wt]
* replace fsex=r(mean) if m_fsex==1
replace fsex=0 if m_fsex==1

* changed the codes on the missing, to equal 0 rather than mean
* so as to not interfere w/ interation models

replace samej=samej/ftot

egen jtot=count(job), by(caseid)
egen ctot=sum(cj), by(caseid)
replace ctot=ctot-cj
replace jtot=jtot-1
gen cp=ctot/jtot
gen cp_miss=cp==.
sum cp if job==0 [aw=wt]
replace cp=r(mean) if cp==.

lab var cp "proportion use contacts, other jobs"
lab var samej "proportion of friends w/ same job"
lab var samejr "proportion of relatives w/ same job"

gen sj_miss=samej==.
sum samej if job==0 [aw=wt]
* replace samej=r(mean) if sj_miss==1
replace samej=0 if sj_miss==1

gen sjr_miss=samejr==.
sum samejr if job==0 [aw=wt]
* replace samejr=r(mean) if sjr_miss==1
replace samejr=0 if sjr_miss==1



gen lnwage=ln(wage)

capture drop _merge
gen occ=occj
sort occ
merge occ using prestige

save long, replace

xi: logit cj samej samejr i.occ2d i.race i.sex edyrs funemp fed fwel fsex [iw=wt]


set more on 
