clear
set more 1
set trace off



* egen zz=robs(int98 int96 int94)
* drop if zz==0

use work2a_2003

work2

sort caseid
save work2a, replace

use work2a

egen mint=rmiss(int90 int91 int92 int93 int94 int96 int98)


drop b* st* pw* pd* _merge

drop whylf90* whylf91* whylf92* whylf93*
drop int90 int91 int92 int93
drop lastin91 lastin92 lastin93 lastin90
drop jnewj92* jnewj93*
drop jpd92* jpd93*
drop jwhlf92* jwhlf93*
drop jpdu92* jpdu93* 
drop jnew92* jnew93*
drop tpjob92
drop tpjob93
capture drop prev90* 
capture drop prev91* 
capture drop prev92* prev93*

sort caseid
save work2b, replace

use work2a

keep jnew* jpd* jw* jfst* star* occup* caseid

reshape long jnewj jnew jfst jpd jpdu jwhlf occup start, i(caseid) j(job) 

lab var jnewj "new jobs using start times (st> date of int)"
lab var jnew "new jobs using previous job data"

rename occup joccup

drop if start<0
* gets rid of non-jobs

* keep if jnewj==1

tab jwhlf

gen b=jpdu>0 & jpdu~=.

lab define jwhlf 1 "layoff" 2 "plant closed" 3 "end of temp job" 4 "discharged/fired" /*
*/ 5 "program ended" 6 "quit for preg or fam reason" 7 "quit to look for job" /*
*/ 8 "quit to take another job" 9 "quit for other reason"
lab val jwhlf jwhlf

tab jwhlf b

sort caseid job
save work2c, replace

